#include "mailnode.h"

mailnode::mailnode(char *nm, int num, Pixmap *pix, 
			mailnode *prev, mailnode *nxt) {
	number=num;
	name=new char[strlen(nm)+1];
	strcpy(name, nm);

	pixmap=pix;

	previous=prev;
	next=nxt;
}

mailnode::~mailnode() {
	delete[] name;
}
